Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		scummvm
Version:	0.12.0
Release:	1
License:	GNU/GPL
URL:		http://www.scummvm.org
Group:		Emulators
Summary:	Graphic adventure game interpreter.
Source0:	%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	flac-devel
BuildRequires:	fluidsynth-devel
BuildRequires:	zlib-devel
BuildRequires:	nasm
BuildRequires:	SDL-devel >= 1.2.2

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
ScummVM is an interpreter that will play graphic adventure games written for
LucasArts' SCUMM virtual machine (such as Day of the Tentacle and 
Monkey Island), Adventure Soft's Simon the Sorcerer 1 and 2, 
Revolution Software's Beneath a Steel Sky and Broken Sword 1 and 2,
Interactive Binary Illusions' Flight of the Amazon Queen,
Coktel Vision's Gobliiins, and Wyrmkeep's Inherit the Earth.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--datadir=%_datadir \
--enable-cruise \
--enable-igor \
--enable-m4 \
--enable-made \
--enable-plugins
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -m755 -D scummvm $RPM_BUILD_ROOT%_bindir/scummvm
install -m644 -D dists/scummvm.6 $RPM_BUILD_ROOT%_mandir/man6/scummvm.6
install -m644 -D icons/scummvm.xpm $RPM_BUILD_ROOT%_pixmaps/scummvm.xpm
install -m644 -D gui/themes/modern.ini $RPM_BUILD_ROOT%_datadir/scummvm/modern.ini
install -m644 -D gui/themes/modern.zip $RPM_BUILD_ROOT%_datadir/scummvm/modern.zip
install -m644 -D dists/pred.dic $RPM_BUILD_ROOT%_datadir/scummvm/pred.dic
install -m644 -D dists/engine-data/kyra.dat $RPM_BUILD_ROOT%_datadir/scummvm/kyra.dat
install -m644 -D dists/engine-data/lure.dat $RPM_BUILD_ROOT%_datadir/scummvm/lure.dat
install -m644 -D dists/engine-data/queen.tbl $RPM_BUILD_ROOT%_datadir/scummvm/queen.tbl
install -m644 -D dists/engine-data/sky.cpt $RPM_BUILD_ROOT%_datadir/scummvm/sky.cpt
install -m644 -D dists/engine-data/drascula.dat $RPM_BUILD_ROOT%_datadir/scummvm/drascula.dat
mkdir -p $RPM_BUILD_ROOT%_applications
install -m644 -D dists/scummvm.desktop $RPM_BUILD_ROOT%_applications

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LGPL NEWS README TODO
%_bindir
%_applications
%_pixmaps
%_mandir
%_datadir/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 19 2008 Christian Wasem <wasem@ccux-linux.de> 0.12.0-1
- Version update
* Sat Jun 21 2008 Christian Wasem <wasem@ccux-linux.de> 0.11.1-1
- Version update
* Tue Jan 31 2006 Christian Wasem <wasem@ccux-linux.de> 0.8.1-1
- Initial Release